/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.internal.actions;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.ui.actions.ActionFactory;
import org.fortiss.tooling.kernel.ui.ToolingKernelUIActivator;
import org.fortiss.tooling.kernel.ui.extension.base.EObjectActionBase;
import org.fortiss.tooling.kernel.ui.util.SelectionUtils;

/**
 * Action for selecting all elements in the currently active editor. the currently selected model
 * element.
 * 
 * @author barner
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 703812CFF16B4B0ACFEC857D9B17CA6D
 */
public class SelectAllAction extends EObjectActionBase<EObject> {

	/** Constructor. */
	public SelectAllAction() {
		super("Select all", ToolingKernelUIActivator.getImageDescriptor("icons/select_all.png"));
		setId(ActionFactory.SELECT_ALL.getId());
	}

	/** {@inheritDoc} */
	@Override
	public void run() {
		EObject target = getTarget();
		if(target != null) {
			SelectionUtils.setSelection(target.eContents());
		}
	}
}
